<?xml version='1.0' encoding='utf-8'?>
<root version="20190819">
    <world>
        <background/>
        <walls>
            <wall id="{040de144-7a6f-4afb-aac7-f4be1da696ed}" begin="0:0" stroke-width="5" stroke="#ff000000" end="0:200" fill="#ff000000" stroke-style="none"/>
            <wall id="{08b6d0a6-af74-4fca-8a80-9aaabf47bd5c}" begin="1200:800" stroke-width="5" stroke="#ff000000" end="1400:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{1966207d-be96-4c9c-a807-21589d8fc5b0}" begin="400:600" stroke-width="5" stroke="#ff000000" end="400:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{1b388fbd-e5e0-4793-825a-ae388b17964d}" begin="1200:1400" stroke-width="5" stroke="#ff000000" end="1200:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{1f62c201-8723-425c-99e0-7fc78d10d47e}" begin="0:1000" stroke-width="5" stroke="#ff000000" end="0:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{2874bbda-b5e5-4260-863d-0147f6292377}" begin="800:0" stroke-width="5" stroke="#ff000000" end="1000:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{40816494-e490-4112-a84b-6827411fc64f}" begin="400:1000" stroke-width="5" stroke="#ff000000" end="200:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{48ede5a9-783a-437c-b6d4-c95cf358937f}" begin="600:800" stroke-width="5" stroke="#ff000000" end="800:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{4eea2523-0262-471e-80a8-c6b7aa153b01}" begin="0:1600" stroke-width="5" stroke="#ff000000" end="350:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{5666c708-c4f6-47b0-a1bc-d1ea861e7ce6}" begin="1400:800" stroke-width="5" stroke="#ff000000" end="1400:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{56b522a3-5c7c-46e2-bfbc-cd9c2ff7b09e}" begin="1200:0" stroke-width="5" stroke="#ff000000" end="1600:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{56d86238-8521-494b-84cf-3b0703950e0b}" begin="1000:400" stroke-width="5" stroke="#ff000000" end="800:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{58e93446-e01b-4467-ac81-aa74f6100032d}" begin="0:200" stroke-width="5" stroke="#ff000000" end="0:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{6259eff6-f304-44b2-adaa-7a0cb6e9b25f}" begin="1600:1600" stroke-width="5" stroke="#ff000000" end="350:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{66fbb1bc-9b68-4372-b662-0df09cdcfce7}" begin="0:800" stroke-width="5" stroke="#ff000000" end="0:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{676d673a-5c1c-4b3e-94c9-2b52fe9e7af5}" begin="400:1200" stroke-width="5" stroke="#ff000000" end="400:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{69c7c389-2d66-4f30-b457-0b97ce171f1d}" begin="0:400" stroke-width="5" stroke="#ff000000" end="0:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{6c9a8506-c0dc-48bb-97c2-f6b87eb73d07}" begin="1600:0" stroke-width="5" stroke="#ff000000" end="1600:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{72ae5ff8-5f50-414f-8a74-bdf530ed760c}" begin="1200:3200" stroke-width="5" stroke="#ff000000" end="4400:3200" fill="#ff000000" stroke-style="none"/>
            <wall id="{79b5d10f-39c2-4f7c-9fd9-3eb2699b4f44}" begin="600:200" stroke-width="5" stroke="#ff000000" end="600:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{89bde907-f287-4caf-81c2-51a4ac98550f}" begin="600:0" stroke-width="5" stroke="#ff000000" end="800:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{8d7fa5f1-3d4c-42aa-b34f-e90ebfeb39f9}" begin="0:600" stroke-width="5" stroke="#ff000000" end="0:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{8e0cb31e-f24f-41ce-b44a-37951d29d651}" begin="200:0" stroke-width="5" stroke="#ff000000" end="400:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{8e9f8a60-22e1-4358-a148-27b85a957b1a}" begin="800:1200" stroke-width="5" stroke="#ff000000" end="800:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{8ffe3673-06cd-4e38-9504-b5794adea4da}" begin="600:1200" stroke-width="5" stroke="#ff000000" end="800:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{911eb093-1be6-4c8e-9835-8d1ea7606354}" begin="400:1400" stroke-width="5" stroke="#ff000000" end="400:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{9fcd364e-1aa1-4f37-a8db-8ff676f4d383}" begin="1000:200" stroke-width="5" stroke="#ff000000" end="1000:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{aaabe6ec-8c84-4d9e-a005-99b5fb37d153}" begin="0:0" stroke-width="5" stroke="#ff000000" end="200:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{aef47fd5-ed95-41a8-9833-c4b7753c015a}" begin="1600:1000" stroke-width="5" stroke="#ff000000" end="1600:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{b0d27649-3378-4ae5-bac4-f6ae3ed032eb}" begin="800:600" stroke-width="5" stroke="#ff000000" end="800:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{b89afd2f-a716-4d38-8cf6-958a50410c69}" begin="400:800" stroke-width="5" stroke="#ff000000" end="200:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{b991d600-87fa-4147-9b01-d58d46dbf105}" begin="1200:600" stroke-width="5" stroke="#ff000000" end="1400:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{bfd3ecf9-da76-4b8d-9fee-7fe9e8fefa56}" begin="1200:1200" stroke-width="5" stroke="#ff000000" end="1400:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{c07a1bd3-04b0-49fa-a0f3-666f2595f353}" begin="200:1000" stroke-width="5" stroke="#ff000000" end="200:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{c408aa3b-2c76-437c-9f59-a69fcb3d8ceb}" begin="350:1400" stroke-width="5" stroke="#ff000000" end="400:1400" fill="#ff000000" stroke-style="none"/>
            <wall id="{d8f2ac0c-c426-4ca9-83fa-72ad0733dbbc}" begin="1000:0" stroke-width="5" stroke="#ff000000" end="1200:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{de654a82-30ad-4296-a1ad-40e07030a493}" begin="1600:1000" stroke-width="5" stroke="#ff000000" end="1600:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{df0c339b-2932-4ea9-b5af-c9b6cdad3023}" begin="1000:600" stroke-width="5" stroke="#ff000000" end="800:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{e344dceb-83cb-4f87-948e-d36c07de3812}" begin="1400:1000" stroke-width="5" stroke="#ff000000" end="1600:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{e3ba069f-ad0c-4960-b795-84e15d9027a5}" begin="0:1200" stroke-width="5" stroke="#ff000000" end="0:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{fbbf6aa2-2e72-43a3-8451-3f44f080826f}" begin="400:0" stroke-width="5" stroke="#ff000000" end="600:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{760bdb1a-fdf4-422f-9619-8a636ed01b59}" begin="200:200" stroke-width="5" stroke="#ff000000" end="200:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{b4ee6c06-e41e-4a53-a98a-76632ce8ad0a}" begin="400:200" stroke-width="5" stroke="#ff000000" end="400:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{2a1cbe4d-2c1b-4ffe-afdd-8d8dfe48e1f6}" begin="400:400" stroke-width="5" stroke="#ff000000" end="400:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{aacc2aaa-2009-41e0-8cd2-bcf973148c68}" begin="400:600" stroke-width="5" stroke="#ff000000" end="600:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{f3c2d180-703a-4b65-951f-af6d8a82b2ba}" begin="0:800" stroke-width="5" stroke="#ff000000" end="200:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{757505f5-4b05-4ac0-a3bc-f8161d1b005b}" begin="600:600" stroke-width="5" stroke="#ff000000" end="800:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{ae6ee371-f673-496a-a00c-64ddb10a950d}" begin="800:400" stroke-width="5" stroke="#ff000000" end="800:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{2e8bafae-a054-438d-8f2f-614407a7aee5}" begin="1000:400" stroke-width="5" stroke="#ff000000" end="1000:600" fill="#ff000000" stroke-style="none"/>
            <wall id="{e1d28e79-529a-4516-b754-b7400f58c69a}" begin="600:200" stroke-width="5" stroke="#ff000000" end="600:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{350b4d4d-d050-4b80-8edb-b569e05ebe25}" begin="800:200" stroke-width="5" stroke="#ff000000" end="800:0" fill="#ff000000" stroke-style="none"/>
            <wall id="{02d385c2-88f3-464a-974f-47d97ae857e1}" begin="1000:200" stroke-width="5" stroke="#ff000000" end="1200:200" fill="#ff000000" stroke-style="none"/>
            <wall id="{7e8577fa-f52c-4394-9284-56049ea21ab5}" begin="1200:200" stroke-width="5" stroke="#ff000000" end="1200:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{e8357d3c-fc26-4a33-8ab7-f5b196fdd965}" begin="1000:400" stroke-width="5" stroke="#ff000000" end="1200:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{6412357c-91ef-4b9f-b007-eed130d4103f}" begin="1400:200" stroke-width="5" stroke="#ff000000" end="1400:400" fill="#ff000000" stroke-style="none"/>
            <wall id="{807f825e-9a94-4805-acd4-0e841c9898de}" begin="1200:600" stroke-width="5" stroke="#ff000000" end="1200:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{4d4692ca-0957-4cd4-9b88-7379dd187aad}" begin="1000:800" stroke-width="5" stroke="#ff000000" end="1200:800" fill="#ff000000" stroke-style="none"/>
            <wall id="{2145f0e7-d901-4433-9c1e-62a710e7455c}" begin="1000:800" stroke-width="5" stroke="#ff000000" end="1000:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{72784799-31ca-48d3-99ae-1a06d4777b51}" begin="1000:1200" stroke-width="5" stroke="#ff000000" end="1200:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{b01ae299-3ef3-41cb-9ca7-4b0005f63d4b}" begin="800:1000" stroke-width="5" stroke="#ff000000" end="1000:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{461285a6-f1ba-48a6-b8bb-3767334b61b1}" begin="600:800" stroke-width="5" stroke="#ff000000" end="600:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{e7f1daaf-9792-4c60-99ad-d6e844d46201}" begin="400:1000" stroke-width="5" stroke="#ff000000" end="600:1000" fill="#ff000000" stroke-style="none"/>
            <wall id="{d8ed370c-fa3d-4100-b882-f065bc1a8883}" begin="1400:1400" stroke-width="5" stroke="#ff000000" end="1600:1400" fill="#ff000000" stroke-style="none"/>
            <wall id="{d9e54e2d-ca46-47f7-a6a4-c48eb6e5c2b6}" begin="600:1200" stroke-width="5" stroke="#ff000000" end="600:1400" fill="#ff000000" stroke-style="none"/>
            <wall id="{5e4a95b9-7f7c-48bc-88ed-6225d83656cc}" begin="600:1400" stroke-width="5" stroke="#ff000000" end="400:1400" fill="#ff000000" stroke-style="none"/>
            <wall id="{a968f975-2e39-48c9-a61f-90ea4c0dbd96}" begin="200:1400" stroke-width="5" stroke="#ff000000" end="200:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{d974e7c5-7102-4a49-bd35-88fc802044c1}" begin="0:1400" stroke-width="5" stroke="#ff000000" end="200:1400" fill="#ff000000" stroke-style="none"/>
            <wall id="{8d16245d-95f4-40cc-893d-6ca579fd5a59}" begin="1400:1400" stroke-width="5" stroke="#ff000000" end="1400:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{cfff5747-2716-41e1-a365-b4dd67e6052c}" begin="1000:1400" stroke-width="5" stroke="#ff000000" end="1000:1600" fill="#ff000000" stroke-style="none"/>
            <wall id="{d47b9cea-4675-4bc0-b2fe-015d95f12244}" begin="1200:1000" stroke-width="5" stroke="#ff000000" end="1200:1200" fill="#ff000000" stroke-style="none"/>
            <wall id="{bc0c868d-99fb-4925-a2ee-febcd866f18c}" begin="800:1400" stroke-width="5" stroke="#ff000000" end="600:1400" fill="#ff000000" stroke-style="none"/>
            <wall id="{951d413b-d67d-4e1a-adbf-cec5a649cd35}" begin="1400:200" stroke-width="5" stroke="#ff000000" end="1400:0" fill="#ff000000" stroke-style="none"/>
        </walls>
        <skittles/>
        <balls/>
        <colorFields/>
        <images/>
        <regions>
            <region type="rectangle" filled="true" x="1200" y="600" visible="true" height="200" width="200" textX="0" id="start" color="#0000ff" text="Start" textY="0"/>
            <region type="rectangle" filled="true" x="0" y="1400" visible="true" height="200" width="200" textX="0" id="finish" color="#ff0000" text="Finish" textY="0"/>
        </regions>
    </world>
    <robots>
        <robot id="trikKitRobot" direction="0" position="1275:675">
            <sensors>
                <sensor direction="0" type="trik::robotModel::parts::TrikInfraredSensor" position="25:25" port="A1###input###А1###sensorA1"/>
                <sensor direction="90" type="trik::robotModel::parts::TrikInfraredSensor" position="25:25" port="A2###input###А2###sensorA2"/>
                <sensor direction="-90" type="trik::robotModel::parts::TrikInfraredSensor" position="25:25" port="A3###input######sensorA3"/>
            </sensors>
            <startPosition id="{f245d3a3-52b2-4c61-b49f-67e389c427f9}" direction="0" x="1300" y="700"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
    <settings realisticMotors="false" realisticPhysics="false" realisticSensors="false"/>
    <constraints>
        <timelimit value="2400000"/>
        <constraint failMessage="У робота не должно быть лишних датчиков!" checkOnce="true">
            <conditions glue="and">
                <equals>
                    <typeOf objectId="robot1.D1"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.D2"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>
        <constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
            <inside objectId="robot1" regionId="start"/>
        </constraint>

        <event settedUpInitially="true">
            <conditions glue = "and">
                <not>
                    <inside objectId="robot1" regionId="finish"/>
                </not>
                <greater>
                    <objectState object="robot1.display.labels.size"/>
                    <int value="0"/>
                </greater>
                <equals>
                    <objectState object="robot1.display.labels.first.text"/>
                    <string value="finish"/>
                </equals>
            </conditions>
            <trigger>
                <fail message="Неверный ответ!"/>
            </trigger>
        </event>

        <event settedUpInitially="true">
            <conditions glue = "and">
                <inside objectId="robot1" regionId="finish"/>
                <greater>
                    <objectState object="robot1.display.labels.size"/>
                    <int value="0"/>
                </greater>
                <equals>
                    <objectState object="robot1.display.labels.first.text"/>
                    <string value="finish"/>
                </equals>
            </conditions>
            <trigger>
                <success/>
            </trigger>
        </event>

    </constraints>
</root>
